<template>
  <div class="login-auth-block">
    <div class="side-col"></div>
    <div>
      <p class="login-header default-header">Welcome to a todo app</p>

      <login-input-form name="email" class="login-input" />
      <login-input-form name="password" type="password" class="login-input" />
      <login-button class="login-button" />
    </div>
    <div class="side-col"></div>
  </div>
</template>

<script>
import LoginButton from "./LoginButton.vue";
import LoginInputForm from "./LoginInputForm";

export default {
  name: "login-auth",
  components: {
    LoginButton,
    LoginInputForm
  }
};
</script>

<style lang="sass">

.login-auth-block
  grid-template-columns: repeat(3, 1fr)
  display: grid
  min-height: 750px

.login-header
  padding-bottom: 80px
  padding-top: 65px

.login-input
  padding-bottom: 34px

.login-button
  margin-top: 122px
  position: fixed
  left: 50%
  transform: translate(-50%)
  bottom: 34px
</style>
